List by top content

Retrieves a list of the top video views that fall within the specified filters and have been completed within a defined timespan. It lets you to identify the most popular content based on viewer interactions.

How it works

  1. Send a GET request to this endpoint with the desired query parameters.

  2. Specify the timespan for which you want to retrieve the top content using the timespan[] parameter.

  3. Filter the views based on dimensions such as browser, device, video title, etc., using the filterby[] parameter.

  4. You can use Limit to control number of top views returned.

  5. You receive a response containing the list of top video views matching the specified criteria.

Related guide: Get top-performing content

Query Params
string
enum

This parameter specifies the time span between which the video views list must be retrieved by. You can provide either from and to unix epoch timestamps or time duration. The scope of duration is between 60 minutes to 30 days.

Accepted formats are:

array of epoch timestamps for example
timespan[]=1498867200&timespan[]=1498953600

duration string for example
timespan[]=24:hours or timespan[]=7:days

Allowed:
string

Pass the dimensions and their corresponding values you want to filter the views by. For excluding the values in the filter we can pass "!" before the filter value. The list of filters can be obtained from list of dimensions endpoint. Example Values : [ browser_name:Chrome , os_name:macOS , !device_name:Galaxy ]

integer
Defaults to 10

Pass the limit to display only the rows specified by the value.

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json